# RAP Community of Practice

> **This material is maintained by the [NHS Digital Data Science team](mailto:datascience@nhs.net)**.

> You can see some examples of our work [here](https://github.com/NHSDigital/data-analytics-services), including [underlying code to NHS Digital publications](https://github.com/NHSDigital/data-analytics-services#rap-publication-repositories) which have been published as a direct outcome of the service our team provides.

These resources are intended for those interested in adopting [Reproducible Analytical Pipelines (RAP)](https://analysisfunction.civilservice.gov.uk/support/reproducible-analytical-pipelines/).

RAP is becoming the standard for creating analytical outputs in government; combining a number of ways of working that help to improve the reliability, transparency, and speed of statistics publications. Learn more on our [Why RAP is important][1] page.

## RAP in the NHS

The [Goldacre Review](https://www.gov.uk/government/publications/better-broader-safer-using-health-data-for-research-and-analysis), tasked with finding ways to deliver better, broader, and safer use of NHS data for analysis and research, identified RAP as the essential element to ensure high-quality analysis.

The Data Science team at NHS Digital have been championing RAP practices and providing support for analytical teams across our organisation. We have published these resources in the spirit of openness and transparency, and in the hope that other teams in other organisations may find them useful. You can find out more about our incredible contributors on our [Acknowledgements](acknowledgements.md) page.

Learn more about our [RAP service][3].

![Image of staff hot desking in the Hub at NHS Digital](images/Staff_hot_desking_in_the_HUB_01.jpeg)

[1]: ./introduction_to_RAP/why_RAP_is_important.md
[2]: ./implementing_RAP/how-to-publish-your-code-in-the-open.md
[3]: ./our_RAP_service/README.md
