# RAP Community of Practice

## Aims

This community of practice aims to support teams in adopting RAP practices through:

1. **Developing learning materials including reusable templates**
2. **Offering support as teams establish new working practices**

See more about our [aims][11].

## Tutorials and resources

As we work alongside teams at NHS Digital, we try to produce reusable learning materials. We try to avoid reproducing guidance that is easily available online. Instead, we link to lots of external resources where you can self-serve.

We also have created some bespoke guidance that lays out how you would accomplish these practices in the NHS Digital setting, which are available internally.

The 'Implementing RAP' section shows you how you can start using RAP principles within your own team such as using [code reviews][14], [publishing your code][2] or [useful tools][15].

We have also developed some training resources on:

- [Git][8]
- [Python][3]
- [PySpark][16]
- [R][4]

## Contribute

These resources are intended to help people get started with RAP. We welcome all feedback.

If you think of something worth including, improving, or want to contribute, please [raise an issue on GitHub](https://github.com/NHSDigital/rap-community-of-practice/issues) or contact the team via the NHS Digital RAP MS Teams page (internal to NHS Digital), or [email](mailto:datascience@nhs.net).

You can also follow our guidance on [how to contribute](https://github.com/NHSDigital/rap-community-of-practice/blob/main/CONTRIBUTE.md).

## Licence

Unless stated otherwise, the codebase is released under the MIT Licence. This covers both the codebase and any sample code in the documentation.

This collection of resources is [© Crown copyright](http://www.nationalarchives.gov.uk/information-management/re-using-public-sector-information/uk-government-licensing-framework/crown-copyright/) and available under the terms of the [Open Government 3.0](https://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/) licence.

[1]: ./introduction_to_RAP/why_RAP_is_important.md
[2]: ./implementing_RAP/how-to-publish-your-code-in-the-open.md
[3]: ./training_resources/python/basic-python-data-analysis-operations.md
[4]: ./training_resources/R/README.md
[8]: ./training_resources/git/intro-to-git.md
[11]: ./introduction_to_RAP/why_RAP_is_important.md#aims-of-rap
[12]: ./introduction_to_RAP/levels_of_RAP.md
[13]: ./our_RAP_service/README.md#support
[14]: ./implementing_RAP/code-review.md
[15]: ./implementing_RAP/tools.md
[16]: ./training_resources/pyspark/README.md
