---
#hide table of contents whitespace
hide: toc
---

# Coding Best Practice

You can find guidance on coding best practice at these pages:

General Code Development

- [Tidy data][1] and [Notebook vs IDE development][2]

Python

- Our general [Python guidance][3] incl. guidance on [why to use functions][4]!
- [PySpark style guide][5]
- Very comprehensive Python guidance [here](https://docs.python-guide.org/) on almost every aspect of Python
- [Google Python style guide](https://github.com/google/styleguide/blob/gh-pages/pyguide.md), which our PySpark style guide is heavily based on

R 

- [R guidance][6] - in progress

[1]: tidy-data.md
[2]: notebooks_versus_ide_development.md
[3]: ../training_resources/python/basic-python-data-analysis-operations.md
[4]: ../training_resources/python/python-functions.md
[5]: ../training_resources/pyspark/pyspark-style-guide.md
[6]: ../training_resources/R/README.md
